Bug 27862 - Не загружается на многих платформах
: Не загружается на многих платформах
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-un-def)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://lists.altlinux.org/pipermail/s...
:
:
: 27685
  Show dependency tree
 
Reported: 2012-10-16 22:23 by
Modified: 2012-11-19 18:18 (History)


Attachments
лог неудачной загрузки (26.75 KB, application/octet-stream)
2012-10-16 22:23, Anton V. Boyarshinov
no flags Details
Описание внутри патча (1.11 KB, patch)
2012-10-17 20:36, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-10-16 22:23:33
Created an attachment (id=5597) [details]
лог неудачной загрузки

Не загружается на многих машинах, преимущественно на чипсетах nvidia с onboard
IDE.
см http://lists.altlinux.org/pipermail/sisyphus/2012-October/358622.html и
далее по треду.
-------------------------------------------
2.672343Ü BUG: unable to handle kernel NULL pointer dereference at
0000000000000010
2.676024Ü IP: Ä<ffffffffa001e29c>Ü pacpi_set_dmamode+0x5c/0xc0 Äpata_acpiÜ
2.676024Ü PGD 115076067 PUD 1167f1067 PMD 0 
2.676024Ü Oops: 0000 Ä#1Ü PREEMPT SMP 
2.676024Ü Modules linked in: ata_generic sata_nv pata_acpi libata scsi_mod
ide_pci_generic ide_core
2.703078Ü CPU 1 
2.703078Ü Pid: 644, comm: scsi_eh_2 Not tainted 3.6.1-un-def-alt2
#1 System manufacturer System Product Name/M2NPV-VM
------- Comment #1 From 2012-10-17 06:27:10 -------
А без kernel-modules-ide-un-def?
------- Comment #2 From 2012-10-17 10:10:58 -------
(В ответ на комментарий №1)
> А без kernel-modules-ide-un-def?
Тоже не загружается.

Гоша говорит, что если добавить preload модуля pata_*, соответствующего
чипсету, то проблема не наблюдается (так как pata_acpi уже не пытается
загрузиться, насколько я понимаю), но если просто добавить его в initrd, то
первым загружается pata_acpi.
Впрочем, проблема наблюдается не при каждой загрузке, а с вероятностью от 1/10
до 9/10 на разных машинах и разных сборках ядер.
В офисе проблема наблюдается у sem@ и george@.
------- Comment #3 From 2012-10-17 15:35:42 -------
(В ответ на комментарий №2)

Я имел ввиду: если "apt-get remove kernel-modules-ide-un-def" и после этого
перегенерировать initrd, т.е. чтобы ide/ вообще не осталось, остались только
ata/ ?
------- Comment #4 From 2012-10-17 20:36:32 -------
Created an attachment (id=5601) [details]
Описание внутри патча
------- Comment #5 From 2012-10-17 20:36:56 -------
В любом случае, CONFIG_IDE сейчас обычно не включают, потому как

This subsystem is currently in maintenance mode with only bug fix
changes applied. Users of ATA hardware are encouraged to migrate to
the newer ATA subsystem ("Serial ATA (prod) and Parallel ATA
(experimental) drivers") which is more actively maintained.

Если уж сильно нужно и IDE, то обходят прилагаемым костылём (комментарии к нему
внутри патча)
------- Comment #6 From 2012-10-18 12:55:35 -------
(В ответ на комментарий №5)
> В любом случае, CONFIG_IDE сейчас обычно не включают, потому как
> 
> This subsystem is currently in maintenance mode with only bug fix
> changes applied. Users of ATA hardware are encouraged to migrate to
> the newer ATA subsystem ("Serial ATA (prod) and Parallel ATA
> (experimental) drivers") which is more actively maintained.
Проблема в том, что, вроде бы, есть устройства, которые работают только с ним
(по крайней мере были жалобы когда в initrd установщика не было этих модулей).

> Если уж сильно нужно и IDE, то обходят прилагаемым костылём (комментарии к нему
> внутри патча)
Мегакруто!! Сейчас попробую, но идея понятна!
------- Comment #7 From 2012-10-18 15:23:58 -------
> > Если уж сильно нужно и IDE, то обходят прилагаемым костылём (комментарии к нему
> > внутри патча)
> Мегакруто!! Сейчас попробую, но идея понятна!
Не помогло... падает точно также и грузится не libata, а pata_acpi
------- Comment #8 From 2012-10-22 13:21:54 -------
(В ответ на комментарий №3)
> (В ответ на комментарий №2)
> 
> Я имел ввиду: если "apt-get remove kernel-modules-ide-un-def" и после этого
> перегенерировать initrd, т.е. чтобы ide/ вообще не осталось, остались только
> ata/ ?

Пропустил это комментарий. ПРоблема наблюдается и на машинах, на котрых нет и в
обозримом прошлом не было kernel-modules-ide.
------- Comment #9 From 2012-10-22 14:02:29 -------
Проблема, похоже, постепенно получает решение
https://bugzilla.kernel.org/show_bug.cgi?id=49151
------- Comment #10 From 2012-10-22 15:25:45 -------
а выключение pata_acpi не помогает ?
------- Comment #11 From 2012-10-22 16:11:13 -------
(В ответ на комментарий №10)
> а выключение pata_acpi не помогает ?
Возможно, помогает, но неизвестно что у кого взамен отвалится..

Судя по всему, патч, дополнительно приложенный к 3.6.3, в первом приближении
решает проблему.
------- Comment #12 From 2012-11-08 22:50:58 -------
ping
Еще актуально?
------- Comment #13 From 2012-11-19 18:18:10 -------
(В ответ на комментарий №12)
> ping
> Еще актуально?

Судя по всему нет.